package com.hw.qms.domain.vo;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import com.hw.qms.domain.QmsCheckResultDetailProject;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 质检结果详情对象 QmsCheckResultDetailVo,返回给前端的对象
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckResultDetailVo
{
    private static final long serialVersionUID = 1L;

    /**
     * 批次数量
     */
    private int batchAmount;
    private int passAmount;

    private int failAmount;

    private String checkMode;

    private BigDecimal checkSample;

    public int getBatchAmount() {
        return batchAmount;
    }

    public void setBatchAmount(int batchAmount) {
        this.batchAmount = batchAmount;
    }

    public int getPassAmount() {
        return passAmount;
    }

    public void setPassAmount(int passAmount) {
        this.passAmount = passAmount;
    }

    public int getFailAmount() {
        return failAmount;
    }

    public void setFailAmount(int failAmount) {
        this.failAmount = failAmount;
    }

    public String getCheckMode() {
        return checkMode;
    }

    public void setCheckMode(String checkMode) {
        this.checkMode = checkMode;
    }

    public BigDecimal getCheckSample() {
        return checkSample;
    }

    public void setCheckSample(BigDecimal checkSample) {
        this.checkSample = checkSample;
    }
}
